Index: plugins/userPref/_define.php
===================================================================
--- plugins/userPref/_define.php	(revision 589)
+++ plugins/userPref/_define.php	(revision 464)
@@ -16,5 +16,5 @@
 	/* Description*/		"Manage every user preference directive",
 	/* Author */			"Franck Paul",
-	/* Version */			'0.2'
+	/* Version */			'0.1'
 );
 ?>
Index: plugins/userPref/index.php
===================================================================
--- plugins/userPref/index.php	(revision 589)
+++ plugins/userPref/index.php	(revision 500)
@@ -11,14 +11,4 @@
 # -- END LICENSE BLOCK -----------------------------------------
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
-
-# Local navigation
-if (!empty($_POST['gp_nav'])) {
-	http::redirect($p_url.$_POST['gp_nav']);
-	exit;
-}
-if (!empty($_POST['lp_nav'])) {
-	http::redirect($p_url.$_POST['lp_nav']);
-	exit;
-}
 
 # Local prefs update
@@ -82,5 +72,5 @@
 	return
 	'<tr>'.
-	'<td scope="raw"><label for="s_'.$id.'">'.sprintf($slabel,html::escapeHTML($id)).'</label></td>'.
+	'<td><label for="s_'.$id.'">'.sprintf($slabel,html::escapeHTML($id)).'</label></td>'.
 	'<td>'.$field.'</td>'.
 	'<td>'.$s['type'].'</td>'.
@@ -94,22 +84,6 @@
   <?php echo dcPage::jsPageTabs($part); ?>
   <style type="text/css">
-	table.prefs { border: 1px solid #999; margin-bottom: 2em; }
-	table.prefs th { background: #f5f5f5; color: #444; padding-top: 0.3em; padding-bottom: 0.3em; }
-	p.anchor-nav {float: right; }
+  .ns-name { background: #ccc; color: #000; padding-top: 0.3em; padding-bottom: 0.3em; font-size: 1.1em; }
   </style>
-	<script type="text/javascript">
-	//<![CDATA[
-	$(function() {
-		$("#gp_submit").hide();
-		$("#lp_submit").hide();
-		$("#gp_nav").change(function() {
-			window.location = $("#gp_nav option:selected").val();
-		})
-		$("#lp_nav").change(function() {
-			window.location = $("#lp_nav option:selected").val();
-		})
-	});
-	//]]>
-	</script>
 </head>
 
@@ -127,19 +101,15 @@
 
 <div id="local" class="multi-part" title="<?php echo __('user preferences'); ?>">
+<form action="plugin.php" method="post">
+<table>
+<tr>
+  <th class="nowrap">Pref ID</th>
+  <th><?php echo __('Value'); ?></th>
+  <th><?php echo __('Type'); ?></th>
+  <th class="maximal"><?php echo __('Description'); ?></th>
+</tr>
+<?php
+$prefs = array();
 
-<?php 
-$table_header = '<table class="prefs" id="%s"><caption>%s</caption>'.
-'<thead>'.
-'<tr>'."\n".
-'  <th class="nowrap">Setting ID</th>'."\n".
-'  <th>'.__('Value').'</th>'."\n".
-'  <th>'.__('Type').'</th>'."\n".
-'  <th class="maximalx">'.__('Description').'</th>'."\n".
-'</tr>'."\n".
-'</thead>'."\n".
-'<tbody>';
-$table_footer = '</tbody></table>';
-
-$prefs = array();
 foreach ($core->auth->user_prefs->dumpWorkspaces() as $ws => $workspace) {
 	foreach ($workspace->dumpPrefs() as $k => $v) {
@@ -147,35 +117,19 @@
 	}
 }
+
 ksort($prefs);
-if (count($prefs) > 0) {
-	$ws_combo = array();
-	foreach ($prefs as $ws => $s) {
-		$ws_combo[$ws] = '#l_'.$ws;
-	}
-	echo 
-		'<form action="plugin.php" method="post">'.
-		'<p class="anchor-nav">'.
-		'<label for="lp_nav" class="classic">'.__('Goto:').'</label> '.form::combo('lp_nav',$ws_combo).
-		' <input type="submit" value="'.__('Ok').'" id="lp_submit" />'.
-		'<input type="hidden" name="p" value="aboutConfig" />'.
-		$core->formNonce().'</p></form>';
-}
-?>
 
-<form action="plugin.php" method="post">
-
-<?php
 foreach ($prefs as $ws => $s)
 {
 	ksort($s);
-	echo sprintf($table_header,'l_'.$ws,$ws);
+	echo '<tr><td colspan="4" class="ws-name">workspace: <strong>'.$ws.'</strong></td></tr>';
+	
 	foreach ($s as $k => $v)
 	{
 		echo prefLine($k,$v,$ws,'s',!$v['global']);
 	}
-	echo $table_footer;
 }
 ?>
-
+</table>
 <p><input type="submit" value="<?php echo __('Save'); ?>" />
 <input type="hidden" name="p" value="userPref" />
@@ -185,5 +139,12 @@
 
 <div id="global" class="multi-part" title="<?php echo __('global preferences'); ?>">
-
+<form action="plugin.php" method="post">
+<table>
+<tr>
+  <th class="nowrap">Pref ID</th>
+  <th><?php echo __('Value'); ?></th>
+  <th><?php echo __('Type'); ?></th>
+  <th class="maximal"><?php echo __('Description'); ?></th>
+</tr>
 <?php
 $prefs = array();
@@ -197,34 +158,16 @@
 ksort($prefs);
 
-if (count($prefs) > 0) {
-	$ws_combo = array();
-	foreach ($prefs as $ws => $s) {
-		$ws_combo[$ws] = '#g_'.$ws;
-	}
-	echo 
-		'<form action="plugin.php" method="post">'.
-		'<p class="anchor-nav">'.
-		'<label for="gp_nav" class="classic">'.__('Goto:').'</label> '.form::combo('gp_nav',$ws_combo).
-		' <input type="submit" value="'.__('Ok').'" id="gp_submit" />'.
-		'<input type="hidden" name="p" value="aboutConfig" />'.
-		$core->formNonce().'</p></form>';
-}
-?>
-
-<form action="plugin.php" method="post">
-
-<?php
 foreach ($prefs as $ws => $s)
 {
 	ksort($s);
-	echo sprintf($table_header,'g_'.$ws,$ws);
+	echo '<tr><td colspan="4" class="ws-name">workspace: <strong>'.$ws.'</strong></td></tr>';
+	
 	foreach ($s as $k => $v)
 	{
 		echo prefLine($k,$v,$ws,'gs',false);
 	}
-	echo $table_footer;
 }
 ?>
-
+</table>
 <p><input type="submit" value="<?php echo __('Save'); ?>" />
 <input type="hidden" name="p" value="userPref" />
